# Setup debugger

# ENV["RUBY_DEBUG_PORT"] = "12345"
# require "debug/start"

$debug_files = []
list_path = File.join("Ruby-files/", "_scripts.txt")
IO.foreach(list_path) do |name|
  name.strip!
  next if name.empty? || name.start_with?("#")
  puts "Loading #{name}"

  $debug_files << IO.read("Ruby-files/#{name}.rb")

  require_relative "Ruby-files/#{name}"
end
